/*
 * wiring.cpp
 *
 * Created: 27.08.2012 13:10:14
 *  Author: Unknown
 */ 

#include "wiring.h"
#include <avr/io.h>

// hard-coded implementations for PD2 (0) - PD5 (3)
void digitalWrite(uint8_t pin, uint8_t val) {
	uint8_t bv = _BV(PD2 + pin);
	if (val) PORTD |= bv;
	else PORTD &= ~bv;
}

void pinMode(uint8_t pin, uint8_t mode) {
	uint8_t bv = _BV(PD2 + pin);
	if (mode == OUTPUT) DDRD |= bv;
	else DDRD &= ~bv;
}
